using System;
using UnityEditor;
using UnityEngine;

[TypeDrawer]
public class Vector2TypeDrawer : ITypeDrawer
{
    public bool HandlesType(Type type, object value)
    {
        return type == typeof(Vector2);
    }

    public object DrawAndGetNewValue(Type memberType, string memberName, object value, object target)
    {
        return EditorGUILayout.Vector2Field(memberName, (Vector2)value);
    }

    public void Destroy()
    {
    }
}